Bug 244025 - subshell displays wrong prompt
subshell displays wrong prompt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 09:17 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: mc-4.6.1a-50.20070604cvs.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 10:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix both of the noted issues. (4.73 KB, patch)
2007-06-20 10:32 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description David Kovalsky 2007-06-13 09:17:25 EDT
Description of problem:
Bug 1:
1. Have a mc running where you have two different directories
   in each panel.
2. Tab, so that you are in the other panel.
3. Ctrl-O to go to subshell.
4. You see two different prompts printed next to each other.

Bug 2:
1. Have a mc running where you have two different directories
   in each panel.
2. Tab, so that you are in the other panel.
3. Tab, so that you are back.
4. Ctrl-O to go to subshell.
5. You see two same prompts printed next to each other ->
   no prompt printing is desired in this case.

Similar problem:
1. have PS1 set to
PS1='\[\033[01;31m\]\H\[\033[00m\]:\[\033[00;01m\]\w\n\033[01;34m\]\$ \[\033[00m\]'
2. run mc
3. CTRL+O to subshell
kovinek:~        [OK, colors right]
# mc             [OK, colors right]
#                [extra line, terminal color]

Similar in FC6:
kovinek:~        [OK, colors right]
# mc             [OK, colors right]
#                [extra line, the right color (as above)]
In this case it doesn't matter if you have same directories or different in the
pannels.

Version-Release number of selected component (if applicable):
mc-4.6.1a-45.20070124cvs.fc7
mc-4.6.1a-35.fc6

How reproducible:
always
Comment 1 David Kovalsky 2007-06-13 09:20:34 EDT
Also RHEL5 has the same bahaviour as FC6.
mc-4.6.1a-34.el5
Comment 2 Jindrich Novy 2007-06-13 11:36:32 EDT
The patch to fix the two bugs listed on top of this bugreport are already fixed
in rawhide. The discussion related to multilined and colorized prompt goes on
upstream. I'll release updates after a final solution is found.
Comment 3 Jindrich Novy 2007-06-20 10:32:31 EDT
Created attachment 157468 [details]
Patch to fix both of the noted issues.
Comment 4 Jindrich Novy 2007-06-20 11:32:34 EDT
It's now applied in rawhide.
Comment 5 Bug Zapper 2008-05-14 09:03:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 David Kovalsky 2008-05-14 10:23:38 EDT
Tested on F8, mc-4.6.1a-50.20070604cvs.fc8, i386 - I wasn't able to reproduce
any of those issues, so with regards to comment #4 I'm closing this bug. 

Note You need to log in before you can comment on or make changes to this bug.